Subject: rsync busy non-bare git repo 'source' to quiet

From: "Neal Kreitzinger" <[email-masked]>
Date: Tue, 8 Mar 2011 15:25:00 -0600

Does anyone have an example of an rsync bash script that will make a good 
copy of a non-bare git repo (including the working tree) while the "source" 
git repo is busy and the "destination" git repo is quiet?

We do not use symlinks in our working-tree or in our .git directory (unless 
git is using symlinks on its own behind-the-scenes that I am not aware of).

This would make it very easy for us to refresh our "beta" livebox to emulate 
the current "gold" livebox using a single rsync instead of a combination of 
rsync and git-clone/pull due to the pieces that git does not replicate (ie, 
hooks) and the non-git components of our git based change control menu 
system (which is written in bash scripts on linux).

Thanks!

v/r,
Neal